## IdeLayoutTransientSidebar IdeLayoutTransientSidebar |

## Functions

void | ide_layout_transient_sidebar_set_panel ()
void | ide_layout_transient_sidebar_set_view ()

## Types and Values

#define | IDE_TYPE_LAYOUT_TRANSIENT_SIDEBAR
struct | IdeLayoutTransientSidebarClass
| IdeLayoutTransientSidebar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlBin
                            ╰── DzlDockRevealer
                                ╰── DzlDockBinEdge
                                    ╰── IdeLayoutPane
                                        ╰── IdeLayoutTransientSidebar

## Implemented Interfaces

IdeLayoutTransientSidebar implements AtkImplementorIface, GtkBuildable and DzlDockItem.

## Description

## Functions

### ide_layout_transient_sidebar_set_panel ()

    void
    ide_layout_transient_sidebar_set_panel
                                   (IdeLayoutTransientSidebar *self,
                                    GtkWidget *panel);

### ide_layout_transient_sidebar_set_view ()

    void
    ide_layout_transient_sidebar_set_view (IdeLayoutTransientSidebar *self,
                                           IdeLayoutView *view);

Sets the view for which the panel is transient for. When focus leaves the sidebar or the view, the panel will be dismissed.

#### Parameters

self | a IdeLayoutTransientSidebar |
view | An IdeLayoutView or `NULL`. | [nullable]

Since: 3.26

## Types and Values

### IDE_TYPE_LAYOUT_TRANSIENT_SIDEBAR

    #define IDE_TYPE_LAYOUT_TRANSIENT_SIDEBAR (ide_layout_transient_sidebar_get_type())

### struct IdeLayoutTransientSidebarClass

    struct IdeLayoutTransientSidebarClass {
      IdeLayoutPaneClass parent_class;
    };

### IdeLayoutTransientSidebar

    typedef struct _IdeLayoutTransientSidebar IdeLayoutTransientSidebar;